Android BUILD FAILED #251

Closed
adyz opened this Issue Oct 21, 2015 · 7 comments

Projects

None yet

3 participants

@adyz
adyz commented Oct 21, 2015

Hi guys,

The build works fine in iOS, but when I run cordova build android I get:

    android/src/com/adobe/phonegap/push/GCMIntentService.java:483: error: cannot find symbol
    mBuilder.setColor(iconColor);
    ^
    symbol:   method setColor(int)
    location: variable mBuilder of type Builder
    1 error
        :compileArmv7DebugJava FAILED

    FAILURE: Build failed with an exception.

    * What went wrong:
        Execution failed for task ':compileArmv7DebugJava'.
    > Compilation failed; see the compiler error output for details.

                                                                                                                    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

        BUILD FAILED

    Total time: 7.745 secs
@macdonst
Member

@adyz you have an older version of the support jar. Make sure you are using at least 1.3.0 of the plugin and follow the instructions at:

https://github.com/phonegap/phonegap-plugin-push#compiling

@macdonst macdonst closed this Oct 21, 2015
@adyz
adyz commented Oct 21, 2015

Also, I see this warning:

WARNING [Project: :] Current NDK support is deprecated. Alternative will be provided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be provided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be provided in the future.
WARNING [Project: :] Current NDK support is deprecated. Alternative will be provided in the future.

@adyz
adyz commented Oct 21, 2015

If I install facebook4 I get this:

    FAILURE: Build failed with an exception.

    * What went wrong:
        Execution failed for task ':processArmv7DebugManifest'.
    > Manifest merger failed : uses-sdk:minSdkVersion 14 cannot be smaller than version 15 declared in library /Users/adrian/Desktop/Vivre/Setup-Centos-PuPHPet/cordova-app-push/platforms/android/build/intermediates/exploded-aar/com.facebook.android/facebook-android-sdk/4.7.0/AndroidManifest.xml
    Suggestion: use tools:overrideLibrary="com.facebook" to force usage
@fredgalvao
Contributor

You use crosswalk, don't you? In that case, it might be a duplicate of #199 or #51. I don't know if the crosswalk team has updated their dependency management to solve that issue.

@adyz
adyz commented Oct 23, 2015

FYI

The main problem was that this plugin somehow was crushing with the phonegap-facebook-plugin and there was a pull request that fixed this for me: Wizcorp/phonegap-facebook-plugin#1148

I think that this pull request is merged now and for me that change fixed everything.

Thanks for your help!

@macdonst
Member

@adyz Yeah that's why I document the problem at:

https://github.com/phonegap/phonegap-plugin-push#co-existing-with-facebook-plugin

now that Wizcorp has merged that fix I'll update the docs.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment